# /builddir/build/BUILD/alsa-lib-1.1.0/src/pcm/pcm_extplug.c File Reference

External Filter Plugin SDK. More...

## Functions

int | snd_pcm_extplug_create (snd_pcm_extplug_t *extplug, const char *name, snd_config_t *root, snd_config_t *slave_conf, snd_pcm_stream_t stream, int mode)
| Create an extplug instance.
int | snd_pcm_extplug_delete (snd_pcm_extplug_t *extplug)
| Delete the extplug instance.
void | snd_pcm_extplug_params_reset (snd_pcm_extplug_t *extplug)
| Reset extplug parameters.
int | snd_pcm_extplug_set_slave_param_list (snd_pcm_extplug_t *extplug, int type, unsigned int num_list, const unsigned int *list)
| Set slave parameter as the list.
int | snd_pcm_extplug_set_slave_param_minmax (snd_pcm_extplug_t *extplug, int type, unsigned int min, unsigned int max)
| Set slave parameter as the min/max values.
int | snd_pcm_extplug_set_param_list (snd_pcm_extplug_t *extplug, int type, unsigned int num_list, const unsigned int *list)
| Set master parameter as the list.
int | snd_pcm_extplug_set_param_minmax (snd_pcm_extplug_t *extplug, int type, unsigned int min, unsigned int max)
| Set master parameter as the min/max values.

## Detailed Description

External Filter Plugin SDK.

Author:
  Takashi Iwai <tiwai@suse.de>

Date:
  2005

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines